Subject: bug#6493: closed (Re: bug#6493:)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 02 Aug 2010 06:44:02 +0000

Your bug report

#6493: 24.0.50; doc strings of region-beginning, region-end

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
6493: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6493
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#6493:
From: Juanma Barranquero <[email-masked]>
To: Drew Adams <[email-masked]>
Cc: Chong Yidong <[email-masked]>, Stephen Berman <[email-masked]>, [email-masked],Johan Bockgård <[email-masked]>, Deniz Dogan <[email-masked]>
Date: Mon, 2 Aug 2010 08:43:18 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Mon, Aug 2, 2010 at 07:34, Drew Adams <[email-masked]> wrote:

> Oops, yes, I do oppose it, because it is incorrect.

Committed without the error note.

> If you want to describe the error treatment then you need to do so completely
> and correctly.  As before, I recommend against describing error handling in this
> case, but I do not oppose it if done right.

I'l leave that to interested parties.

    Juanma

Subject: 24.0.50; doc strings of region-beginning, region-end
From: "Drew Adams" <[email-masked]>
To: <[email-masked]>
Date: Tue, 22 Jun 2010 09:13:10 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

The doc strings just repeat the function names - they provide no helpful
info at all.
 
What we need to add is what is said in the Elisp manual: that the
"beginning" ("end") is the position of either point or the mark,
whichever is smaller (larger).

In GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600)
 of 2010-06-21 on 3249CTO
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.4) --no-opt --cflags -Ic:/xpm/include'